# $Revision: 1.13 $, $Date: 2002/07/31 08:41:58 $
Summary:	LPRngTool - printer configuration, monitoring and management utility with GUI for LPRng
Summary(pl):	LPRngTool - narzdziem do monitorowania i zarzdzania systemem druku LPRng
Name:		LPRngTool
Version:	1.3.2
Release:	2
License:	GPL
Group:		Applications/Publishing
Source0:	ftp://ftp.lprng.com/pub/LPRng/LPRngTool/%{name}-%{version}.tgz
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-ac_fixes.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	samba-client
Requires:	ghostscript
Requires:	tcl
Requires:	tk >= 1.50
Requires:	LPRng >= 3.7
Requires:	ifhp >= 3.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	printtool

%define		_ifhpfilterdir	/usr/lib/lpfilters
%define		_filterdir	/usr/lib/filters
%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
LPRngTool is a printer configuration and print queue monitoring and
management utility with a graphical user interface. LPRngTool is
similar to Red Hat's 'printtool', but includes most of the additional
functions of LPRng (including printer pooling, printer redirection,
job accounting, etc), and the 'lpc' facilities for local and remote
queue management and monitoring. LPRngTool works with SMB, Windows, HP
JetDirect, locally-attached, and unfiltered printers and print queues.

%description -l pl
LPRngTool to narzdzie do konfiguracji drukarki, monitorowania i
zarzdzania kolejk wydruku z graficznym interfejsem uytkownika. Jest
podobne do RedHatowego printtoola, ale zwiera wikszo dodatkowych
funkcji LPRng (w tym przekierowanie drukarek, przydzielanie prac
itp.), oraz udogodnienia lpc do monitorowania i zarzdzania lokalnymi
oraz zdalnymi kolejkami. LPRngTool dziaa z drukarkami i kolejkami
SMB, Windows, HP JetDirect, lokalnie podczonymi i niefiltrowanymi.

%prep
%setup -q
%patch0 -p1

%build
aclocal
%{__autoconf}
%configure \
	--with-lprngtool_conf=%{_sysconfdir}/lprngtool.conf \
	--with-printcap_path=%{_sysconfdir}/printcap \
	--with-spool_directory=/var/spool/lpd  \
	--with-ifhp_path=%{_ifhpfilterdir}/ifhp \
	--with-filterdir=%{_filterdir} \
	--with-gsupdir=%{_datadir}/ghostscript \
	--with-userid=lp \
	--with-groupid=lp 
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_filterdir}} \
	$RPM_BUILD_ROOT{%{_sysconfdir},%{_mandir},%{_mandir}/man1} \
	$RPM_BUILD_ROOT{%{_pixmapsdir},%{_applnkdir}/Settings}

%{__make} DESTDIR=$RPM_BUILD_ROOT install

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Settings
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGES
%attr(0755,root,root) %{_bindir}/*
%config %{_sysconfdir}/lprngtool.conf
%{_sysconfdir}/lprngtool.conf.sample
%{_mandir}/man1/*.1*
%dir %{_filterdir}
%attr(755,root,root) %{_filterdir}/atalkprint
%attr(755,root,root) %{_filterdir}/ncpprint
%attr(755,root,root) %{_filterdir}/smbprint
%{_filterdir}/printerdb
%{_filterdir}/testpage*
%{_applnkdir}/Settings/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: LPRngTool.spec,v $
Revision 1.13  2002/07/31 08:41:58  kloczek
- release 2: remove BuildArch: noarch (package can't be build as noarch).

Revision 1.12  2002/07/30 23:15:28  kloczek
- BuildArch: noarch.

Revision 1.11  2002/07/30 22:27:21  kloczek
- updated to 1.3.2,
- updated Source url and URL,
- removed contro-center files,
- use proper permission on scripts in %files,
- updated %files,
- added deskto and png Icon for LPRngTool,
- use new %doc.

Revision 1.10  2002/05/21 23:12:37  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.9  2002/04/23 20:49:47  mwinkler
- fixed configure path to ifhp filter

Revision 1.8  2002/03/25 22:45:59  speedy
- s/R/BR/g
- release 2

Revision 1.7  2002/03/25 22:44:58  speedy
- requires samba [printing via smbprint]

Revision 1.6  2002/02/22 23:28:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:12:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/05 09:45:17  qboosh
- pl description, shortened en summary, cosmetics
- FHS: /usr/libexec/filters moved to /usr/lib/filters
TODO: change .wmconfig file to .desktop

Revision 1.3  2001/11/16 23:53:14  blues
- more macros
- fixed permisions to bindir
- prefix added

Revision 1.2  2001/11/16 23:35:47  blues
- more macros used
- some work on configure
- BR added (ac2.5 ready)

Revision 1.1  2001/11/15 11:41:07  speedy
- LPRngTool is a printer configuration and print queue monitoring and
  management utility with a graphical user interface for LPRng.
